Get user positions
curl --request GET \
--url https://api.agg.market/execution/positions \
--header 'Authorization: Bearer <token>' \
--header 'x-app-id: <api-key>'import requests
url = "https://api.agg.market/execution/positions"
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-app-id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agg.market/execution/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"targetMarketId": "<string>",
"resolutionDate": "<string>",
"venueMarket": {
"venueEventId": "<string>",
"question": "<string>",
"image": "<string>",
"venueMarketOutcomes": [
{
"label": "<string>",
"title": "<string>",
"venueBreakdown": [
{
"venueMarketId": "<string>",
"size": 123,
"venueMarketOutcomeId": "<string>"
}
],
"totalSize": 123,
"avgEntryPrice": 123,
"currentPrice": 123,
"totalValue": 123,
"unrealizedPnl": 123,
"unrealizedPnlPercent": 123,
"winner": true
}
]
},
"eventId": "<string>"
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"message": "<string>"
}{
"message": "<string>"
}Users
Get user positions
Returns open positions grouped by matched market with per-venue breakdown and current pricing.
GET
/
execution
/
positions
Get user positions
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
⌘I